Subject: RE: bug#819: closed by Eli Zaretskii <[email-masked]> (bug#819: 23.0.60; group and owner "Everyone" - what's that about?)

From: "Drew Adams" <[email-masked]>
Date: Fri, 29 Aug 2008 13:10:12 -0700

> > The code that reports user and group IDs uses fallbacks for when the
> > file security syscalls fail.  The fallback is to attribute the files
> > to the user who runs Emacs.  On FAT32 volumes the syscalls fail, so
> > what you see is our best shot on reporting something sensible.
> 
> Actually, I take that back: these syscalls should NOT fail on FAT32.
> You should see "Everyone" for each file and directory on FAT32.  The
> fact that you see your username means that something causes the
> file-security syscalls to fail.  Perhaps that's the same problem as
> the one reported by Juanma a few days ago (on NTFS).  We will see when
> I debug that one.

If it always showed Everyone, that would be OK. The problem is that it is not
consistent (on my machine, at least), treating directories just under the top
level differently from others.

> > I don't see that on FAT32 volume to which I have access.
> 
> This part is still true.

See the screenshot I sent. It sounds like we are seeing different things. I
definitely have FAT32, FWIW.